[Opensound-devel] [PATCH 3/5] beos: Fix Haiku package
Brought to you by:
compusonic
|
From: François R. <re...@fr...> - 2014-03-09 01:00:38
|
The kernel library symlink has moved in Haiku, check for it.
---
setup/BeOS/build.sh | 11 +++++++++--
1 file changed, 9 insertions(+), 2 deletions(-)
diff --git a/setup/BeOS/build.sh b/setup/BeOS/build.sh
index 045a599..4d10060 100644
--- a/setup/BeOS/build.sh
+++ b/setup/BeOS/build.sh
@@ -90,16 +90,23 @@ core=prototype/$BEOS_SYSTEM/add-ons/kernel/media/oss
# no midi yet
rm target/modules/oss_midiloop.o
+for k in /boot/develop/lib/x86/_KERNEL_ /boot/system/develop/lib/_KERNEL_; do
+ if [ -e "$k" ]; then
+ KERNEL="$k"
+ break
+ fi
+done
+
# try to build all in a single bin for now...
# driver_beos.o shouldn' be in, oh well...
# R5 has symbols like __ucmpdi2 but not Haiku, so use libgcc
-gcc -o $core target/objects/*.o target/modules/*.o -nostdlib -lgcc /boot/develop/lib/x86/_KERNEL_ || exit 1
+gcc -o $core target/objects/*.o target/modules/*.o -nostdlib -lgcc $KERNEL || exit 1
setvermime $core
# except the loader driver...
# using the same bin works in BeOS but not in Haiku.
drv=prototype/$BEOS_SYSTEM/add-ons/kernel/drivers/bin/${DRVPREFIX}loader
-gcc -o $drv target/objects/driver_beos.o -nostdlib /boot/develop/lib/x86/_KERNEL_ || exit 1
+gcc -o $drv target/objects/driver_beos.o -nostdlib $KERNEL || exit 1
setvermime $drv
rm -f devlist.txt
--
1.8.3.4
|